Subject: Re: [netlmm] RE: PMIPv6: Mobile Prefix Discovery

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 17 May 2007 12:39:34 -0700 (PDT)

Hi Sri,
  Renumbering a Mobile Node's subnet is covered in base MIP6 specification in RFC 3775 and not left to implementation.
  Don't you think base PMIPv6 specification should also cover this issue, possibly starting with 01 version?
  Isn't it too simplistic to say it is implementation issue?

Kind regards,

Behcet

----- Original Message ----
From: Sri Gundavelli <[email-masked]>
To: Kandra Mohan-a22098 <[email-masked]>; Alexandru Petrescu <[email-masked]>
Cc: [email-masked]
Sent: Thursday, May 17, 2007 12:29:02 PM
Subject: [netlmm] RE: PMIPv6: Mobile Prefix Discovery 

> -----Original Message-----
> From: Kandra Mohan-a22098 [mailto:[email-masked]] 
> Sent: Thursday, May 17, 2007 2:12 AM
> To: Sri Gundavelli; Alexandru Petrescu
> Cc: [email-masked]
> Subject: PMIPv6: Mobile Prefix Discovery 
> 
> Hi,
> 
> From section 5.7 of draft-ietf-netlmm-proxymip6-00.txt:
> 
> How can a MAG will come to know that there is a change in the 
> MN prefix
> and thus it can advertise the ICMP Mobile Prefix Advertisement message
> to that MN?
> 
> Is it that an interface with relevant messages is required between
> policy store and the MAG?
> 

The interface between LMA/MAG and the policy store, is outside the scope
of the base document. Its also an implementation detail, how often
the entities should query the policy store ..etc. That can enforced in
one or more ways, but, out of scope for the base doc. 

Sri

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Sri Gundavelli" <[email-masked]>
Date: Thu, 17 May 2007 13:29:54 -0700

Hi Behcet:
 
There are two aspects to it.
 
- The notification of the prefix change on the link to the MN
- How the change related to renumbering was propogated to the MAG.
 
On #1, As Ahmad pointed out, its just about advertising a new prefix on the
link and with drawing the earlier prefix with life=0.  Note that, the
seamless
mobility is lost when renumbering happens, all the sessions will be lost. 
 
On #2, Its out of scope. Its about the backend interface. If the Prefixes
are
managed in DHCP and obtained using DHCP PD, the interface is different,
vs, when the prefixes are managed in a local or a remote policy store. I
dont
think this is in the scope of the base document.
 
Sri

  _____  

From: Behcet Sarikaya [mailto:[email-masked]] 
Sent: Thursday, May 17, 2007 12:40 PM
To: Sri Gundavelli
Cc: [email-masked]
Subject: Re: [netlmm] RE: PMIPv6: Mobile Prefix Discovery

Hi Sri,
  Renumbering a Mobile Node's subnet is covered in base MIP6 specification
in RFC 3775 and not left to implementation.
  Don't you think base PMIPv6 specification should also cover this issue,
possibly starting with 01 version?
  Isn't it too simplistic to say it is implementation issue?

Kind regards,

Behcet

----- Original Message ----
From: Sri Gundavelli <[email-masked]>
To: Kandra Mohan-a22098 <[email-masked]>; Alexandru Petrescu
<[email-masked]>
Cc: [email-masked]
Sent: Thursday, May 17, 2007 12:29:02 PM
Subject: [netlmm] RE: PMIPv6: Mobile Prefix Discovery 

Sri

---

From: Frank Xia <[email-masked]>
Date: Thu, 17 May 2007 15:48:58 -0500

Hi Sri

My 2 cents.

Prefix management is hard to circumvent for PMIP.

Please refer to my inline comments.

BR
Frank
  ----- Original Message ----- 
  From: Sri Gundavelli 
  To: 'Behcet Sarikaya' 
  Cc: [email-masked] 
  Sent: Thursday, May 17, 2007 3:29 PM
  Subject: RE: [netlmm] RE: PMIPv6: Mobile Prefix Discovery

  Hi Behcet:

  - The notification of the prefix change on the link to the MN
  - How the change related to renumbering was propogated to the MAG.
  Frank => I think the other expression is better,  that is,  "How  does the MAG
  to do when a prefix will expire?"

  On #1, As Ahmad pointed out, its just about advertising a new prefix on the
  link and with drawing the earlier prefix with life=0.  Note that, the seamless
  mobility is lost when renumbering happens, all the sessions will be lost. 

  On #2, Its out of scope. Its about the backend interface. If the Prefixes are
  managed in DHCP and obtained using DHCP PD, the interface is different,
  vs, when the prefixes are managed in a local or a remote policy store. I dont
  think this is in the scope of the base document.
  Frank => Different prefix managements need  different  renewal mechanism.  If the prefix 
  is got from PBU/PBA,  PBU should be used to renew the prefix.  
  I really think that PBU/PBA interaction is the scope of the basic protocol.

  Sri

----------------------------------------------------------------------------
    From: Behcet Sarikaya [mailto:[email-masked]] 
    Sent: Thursday, May 17, 2007 12:40 PM
    To: Sri Gundavelli
    Cc: [email-masked]
    Subject: Re: [netlmm] RE: PMIPv6: Mobile Prefix Discovery

    Hi Sri,

    Kind regards,

    Behcet

    ----- Original Message ----
    From: Sri Gundavelli <[email-masked]>
    To: Kandra Mohan-a22098 <[email-masked]>; Alexandru Petrescu <[email-masked]>
    Cc: [email-masked]
    Sent: Thursday, May 17, 2007 12:29:02 PM
    Subject: [netlmm] RE: PMIPv6: Mobile Prefix Discovery 

    Sri

------------------------------------------------------------------------------

---

From: Basavaraj Patil <[email-masked]>
Date: Thu, 17 May 2007 15:51:47 -0500

Behcet,

I agree with Sri... I don¹t think we need to replicate every aspect of MIP6
for Proxy MIP6. 
And I do think that the aspect about managing the prefixes that are
advertised to hosts
is implementation dependent. You can use DHCP, LDAP or manage some other
means that you choose.

-Raj